Subject: Re: LRO/GSO interaction when packets are forwarded

From: Jarek Poplawski <[email-masked]>
Date: Wed, 23 Apr 2008 11:09:43 +0000

On Wed, Apr 23, 2008 at 03:42:25AM -0700, David Miller wrote:
> From: Jarek Poplawski <[email-masked]>
> Date: Wed, 23 Apr 2008 10:38:10 +0000
> 
> > Thanks for explanation! I'd still like to know why it's wrong, and
> > why we should turn this off on a device with ip_forwarding enabled
> > without checking how smart this hardware is?
> 
> It's not about how smart the hardware is.

...I think Stephen mentioned there could be some difference?

> 
> This a stateless feature, the device accumulates data into
> large receive frames when it's TCP and the ports and addresses
> match.
> 
> There is no knowledge of routes or anything like that, nor should
> there be, because otherwise it would cease to be stateless.

OK, but bridging doesn't seem to need much more... But, anyway, why
(with such a smart hardware) it should be impossible to get such
local LRO packets, and do ip forwarding (with non-LRO non-local
packets)?

Thanks,
Jarek P.